<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Email_2 extends CI_Controller {
    
    private $porta  = 465; // PORTA DE ENVIO DO SMTP // 587 - PORTA ANTIGA DE ENVIO
    
    public function index() {
        $this->load->view('inicio');
    }

    public function jubilados() {
        die('jubilados');
        set_time_limit(0);
        $consulta = array_unique($this->email_model->consulta_jubilados(), SORT_REGULAR);

        $c = 0;
        foreach ($consulta as $linha) {

            $assunto = alterar_caracteres('Não perca o seu certificado');

            $titulo = retirar_acentos('Não perca o seu certificado');

            if ($linha['aluno'] != "") {
                $nome = mb_convert_case($linha['aluno'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . ',<br><br>
            O seu acesso ao Curso ' . $linha['curso'] . ' termina em 7 dias. <br> 
            Acesse o nosso site, realize a sua prova hoje mesmo e tenha acesso ao seu <b>Certificado de Conclusão</b>
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>

            ');


            $html = template($assunto, $mensagem);

            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
          
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }

            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Aluno 7 dias antes do jubilamento");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function certificado_liberado() {
        die('certificado_liberado');
        $consulta = array_unique($this->email_model->consulta_certificado_disponivel(), SORT_REGULAR);
        
        $c = 0;
        $array = array();
        foreach ($consulta as $linha) {

            $assunto = alterar_caracteres('Certificado Liberado');

            $titulo = retirar_acentos('Certificado Liberado');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . ',<br><br>
            O seu certificado do Curso <b>' . $linha['curso'] . '</b> está disponível. <br> 
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);
         
            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }

            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Certificado Liberado");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function avaliacao_liberada() {
        die('avaliacao_liberada');
        $consulta = array_unique($this->email_model->avaliacao_liberada(), SORT_REGULAR);

        $c = 0;

        foreach ($consulta as $linha) {

            $assunto = alterar_caracteres('Avaliação Liberada');

            $titulo = retirar_acentos('Avaliação Liberada');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . ',<br><br>
            O avaliação do Curso <b>' . $linha['curso'] . '</b> está disponível. <br> 
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);

            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }

            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Avaliação Liberada");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function faturas_pendentes_tres_dia() {
        die('faturas_pendentes_tres_dia');
        set_time_limit(0);
        $dias = 3;
        $consulta = $this->email_model->faturas_pendentes($dias);
        $array = array();
        
        
        
        $curso = '';
        $aluno = '';
        $array_novo = [];
        foreach ($consulta as $linha) {
            if ($aluno != $linha['email']) {
                $array_novo[] = $linha;
            } else {
                if ($curso != $linha['nome_curso']) {
                    $array_novo[] = $linha;
                }
            }
            $aluno = $linha['email'];
            $curso = $linha['nome_curso'];
        }
        $c = 0;

        

        foreach ($array_novo as $value) {
            
            $assunto = retirar_acentos('Conclua a sua compra');
            $pieces = explode(" ", $value['data_transacao']);
            $data = date('d/m/Y', strtotime($pieces[0]));
            $hora = $pieces[1];
            $valor = number_format($value['valor'], 2, ',', '.');
            $transacao = $value['id_transacao'];
            $cod_interme = $value['codigo'];
            $nome = $value['nome'];

            $boleto = $this->email_model->boleto_ovumpay($transacao);
            
            if($boleto==null || empty($boleto)){
                $boleto = $this->email_model->boleto($cod_interme, $transacao, true);
            }
            
            
            if ($linha['nome'] != "") {
                $nome = mb_convert_case($value['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $titulo = alterar_caracteres('Olá, ' . $nome . '. Agora que você adquiriu um certificado vamos ajudar a concluir a sua compra ');

            $mensagem = alterar_caracteres('
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Como você deve realizar o pagamento</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">Efetue o pagamento do seu curso agora mesmo clicando no botão [Acesse Agora!]. <i>Caso já tenha pago desconsidere essa mensagem</i></p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados do Pagamento</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            O número da sua transação é: ' . $transacao . ' <br>
            O nome do estabelecimento que você realizou a compra: <b>Amazônia Cursos</b><br>
            Descrição: Certificado do Curso ' . $value['nome_curso'] . ' <br>
            O valor que você deve pagar: <b>R$ ' . $valor . '</b> <br>
            Data da realização da compra: ' . $data . ' as ' . $hora . '    
            </p>');

            $html = template($titulo, $mensagem, $boleto['boleto']);
            var_dump($html);
           
            if (!empty($boleto['boleto'])) {
                $enviar = '';//$this->enviar($value['email'], $assunto, $html);
                
                if ($enviar == true) {
                    $array['Enviado'][$c] = $value['email'];
                }

                $c++;
            }
            
        }

        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Pagamento Pendente - Boleto");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
//        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }
    
    public function faturas_pendentes_um_dia_cartao() {
//        die('faturas_pendentes_um_dia_cartao');
        set_time_limit(0);
        $dias = 7;
        $consulta = $this->email_model->faturas_pendentes_cartao($dias);

        $curso = '';
        $aluno = '';
        $array_novo = [];
        foreach ($consulta as $linha) {
            if ($aluno != $linha['email']) {
                $array_novo[] = $linha;
            } else {
                if ($curso != $linha['nome_curso']) {
                    $array_novo[] = $linha;
                }
            }
            $aluno = $linha['email'];
            $curso = $linha['nome_curso'];
        }
        $c = 0;


        foreach ($array_novo as $value) {
      
            $assunto = retirar_acentos('Conclua a sua compra');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($value['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $titulo = alterar_caracteres('Olá, ' . $nome . '. Vamos ajudar a concluir a sua compra ');
            
            $boleto = $this->email_model->boleto_ovumpay($value['id_transacao']);
            
            
                $mensagem = alterar_caracteres('
                <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Como você deve realizar o pagamento</div>
                <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">Efetue o pagamento do seu curso agora mesmo clicando no botão [Acesse Agora!]. <i>Caso já tenha pago desconsidere essa mensagem</i></p>
                <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados do Pagamento</div>
                <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
                O número da sua transação é: ' . $value['id_transacao'] . ' <br>
                O nome do estabelecimento que você realizou a compra: <b>Amazônia Cursos</b><br>
                Descrição: Certificado do Curso ' . $value['nome_curso'] . ' <br>
                O valor que você deve pagar: <b>R$ ' . $value['valor'] . '</b> <br>
                Data da realização da compra: ' . $value['data_transacao'] . '    
                </p>');
    
                
            
            //Site amazonia    
            if(empty($boleto)){
                
                $html = template($titulo, $mensagem);
            }else{
                //OvumPay
                $html = template($titulo, $mensagem, $boleto['boleto']);
                
            }
            
            var_dump($html);
            
            $enviar ='';// $this->enviar($value['email'], $assunto, $html);
                
                
                if ($enviar == true) {
                    $array['Enviado'][$c] = $value['email'];
                }
    
                $c++;
        }
       
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Pagamento Pendente - Cartão de Crédito");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
//        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function faturas_pendentes_um_dia_debito() {
//        die('faturas_pendentes_um_dia_debito');
        set_time_limit(0);
        $dias = 3;
        $consulta = $this->email_model->faturas_pendentes_debito($dias);

        $curso = '';
        $aluno = '';
        $array_novo = [];
        foreach ($consulta as $linha) {
            if ($aluno != $linha['email']) {
                $array_novo[] = $linha;
            } else {
                if ($curso != $linha['nome_curso']) {
                    $array_novo[] = $linha;
                }
            }
            $aluno = $linha['email'];
            $curso = $linha['nome_curso'];
        }
        $c = 0;


        foreach ($array_novo as $value) {

            $assunto = retirar_acentos('Conclua a sua compra');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($value['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $titulo = alterar_caracteres('Olá, ' . $nome . '. Vamos ajudar a concluir a sua compra ');
            
            $boleto = $this->email_model->boleto_ovumpay($value['id_transacao']);
            
            $mensagem = alterar_caracteres('
                <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Como você deve realizar o pagamento</div>
                <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">Efetue o pagamento do seu curso agora mesmo clicando no botão [Acesse Agora!]. <i>Caso já tenha pago desconsidere essa mensagem</i></p>
                <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados do Pagamento</div>
                <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
                O número da sua transação é: ' . $value['id_transacao'] . ' <br>
                O nome do estabelecimento que você realizou a compra: <b>Amazônia Cursos</b><br>
                Descrição: Certificado do Curso ' . $value['nome_curso'] . ' <br>
                O valor que você deve pagar: <b>R$ ' . $value['valor'] . '</b> <br>
                Data da realização da compra: ' . $value['data_transacao'] . '    
                </p>');

            
            //Site amazonia    
            if(empty($boleto)){
                
                $html = template($titulo, $mensagem);
            }else{
                //OvumPay
                $html = template($titulo, $mensagem, $boleto['boleto']);
                
            }
            
            var_dump($html);
            
            $enviar ='';// $this->enviar($value['email'], $assunto, $html);
                
                
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $value['email'];
            }

            $c++;
        }

        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Pagamento Pendente - Débito Bancario");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
//        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function prova_sete_dia() {
        die('prova_sete_dia');
        set_time_limit(0);
        $dias = 7;
        $consulta = $this->email_model->prova($dias);
        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {

            $assunto = alterar_caracteres('Sua avaliação está chegando');

            $titulo = retirar_acentos('Sua avaliação está chegando');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . ',<br><br>
            A avaliação do Curso <b>' . $linha['nome_curso'] . '</b> será liberada no dia <span style="color:black">' . date("d/m/Y", strtotime($linha['data_liberada'])) . '</span> <br> 
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);

            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }
            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Prova 7 dias");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function prova_um_dia() {
        die('prova_um_dia');
        set_time_limit(0);
        $dias = 1;
        $consulta = $this->email_model->prova($dias);
        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {

            $assunto = alterar_caracteres('Sua avaliação está chegando');

            $titulo = retirar_acentos('Sua avaliação está chegando');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . ',<br><br>
            A avaliação do Curso <b>' . $linha['nome_curso'] . '</b> será liberada amanhã. Boa prova! <br> 
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);

            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }
            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Prova 1 dia");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function jubilados_um_dia() {
        die('jubilados_um_dia');
        set_time_limit(0);
        $dias = 1;
        $consulta = $this->email_model->consulta_jubilados_um_dia($dias);
        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {

            $assunto = alterar_caracteres('Não perca seu certificado');

            $titulo = retirar_acentos('Não perca seu certificado');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . ',<br><br>
            O seu acesso ao Curso <b>' . $linha['nome_curso'] . '</b> termina amanhã. Acesse o nosso site e aproveite todos os benefícios do seu curso! <br> 
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);
            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }
            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Jubilados 1 dia");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function alunos_jubilados() {
        die('alunos_jubilados');
        set_time_limit(0);

        $consulta = $this->email_model->jubilados();
        $dados_arr = array_unique($consulta, SORT_REGULAR);
        $array = array();

        $c = 0;

        foreach ($dados_arr as $linha) {

            $assunto = alterar_caracteres('Faça sua rematrícula');

            $titulo = retirar_acentos('Faça sua rematrícula');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Passo-a-passo para sua rematrícula</div>    
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Acesse o nosso site no seguinte endereço: <a href="https://www.amazoniacursos.com.br/" style="color:blue;">https://www.amazoniacursos.com.br/</a></span><br><span>Realize o seu login.</span><br><span>Clique no item de menu <b>[Cursos]</b></span><br><span>Procure pelo curso <b>' . alterar_caracteres($linha['nome_curso']) . '</b> na barra de pesquisa do site.<br>É simples, rápido e fácil!
            </p>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);

            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }
            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Jubilados 3 dias");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function sem_acesso() {
        die('sem_acesso');
        set_time_limit(0);
        $dia_anterior = 31;
        $dias = 30;
        $consulta = $this->email_model->sem_acesso($dia_anterior, $dias);
        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;

        foreach ($dados_arr as $linha) {

            $assunto = alterar_caracteres('Temos novidades pra você!');

            $titulo = retirar_acentos('Temos novidades pra você');

            if ($linha['nome'] != "") {
                $nome = mb_convert_case($linha['nome'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $mensagem = alterar_caracteres('
            <p style ="text-align: justify; color: black; font-size:15px; ">
            Olá ' . $nome . '<br><br>
            Você já sabe de todos os benefícios de acessar o nosso site? <br> 
            </p>
            <div style="display: table !important;">
            <fieldset class="legenda-acesso"style="width: 27%; padding-top: 0px; background-color:#2ba447;float:left; border: none;">
            <p style="color: white;font-size: 15pt;">&#x27B2; Cursos</p>
            <p style="color: white;">Você tem acesso a mais de 3000 cursos e a carga horária quem escolhe é você, tudo isso a partir de R$ 9,90.</p>
            </fieldset>
            
            <fieldset class="certificado-acesso"style="width: 27%; padding-top: 0px; background-color:#2ba447;border: none;float:left;margin-left:2%">
            <p style="color: white;font-size: 15pt;">&#x27B2; Certificados</p>
            <p style="color: white;">Você sabia que pode utilizar o certificado do seu curso em concursos públicos e para o enriquecimento do seu currículo? </p>
            </fieldset>
            
            <fieldset class="legenda-acesso curso-acesso"style="width: 27%; padding-top: 0px; background-color:#2ba447; border: none; margin-left:67%;">
            <p style="color: white;font-size: 15pt;">&#x27B2; Sentiu falta de algum curso?</p>
            <p style="color: white;">Você pode criar o seu curso e disponibiliza-lo no nosso site. É simples, rápido e facíl!</p>
            </fieldset>
            </div>
            <br>
            <div class="subtitle" style="font-family:Helvetica, Arial, sans-serif;font-size:17px;font-weight:600;color:#2469A0">Dados de acesso:</div>
            <p style="font-family:Helvetica, Arial, sans-serif; font-size:15px; color:black">
            Login: <b>' . $linha['email'] . '</b> <br>
            Senha: <b>' . $linha['senha'] . ' </b>    
            </p>
            ');

            $html = template($assunto, $mensagem);

            $enviar = $this->enviar($linha['email'], $titulo, $html);
            
            if ($enviar == true) {
                $array['Enviado'][$c] = $linha['email'];
            }

            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Alunos sem acesso 30 dias");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function conteudo() {
        die('conteudo');
        set_time_limit(0);

        $consulta = $this->email_model->cursos_matriculados_liberados();

        $dados_arr = array_unique($consulta, SORT_REGULAR);

        $c = 0;
        foreach ($dados_arr as $linha) {
            $curso = $linha['curso'];

            if ($linha['nome_aluno'] != "") {
                $nome = mb_convert_case($linha['nome_aluno'], MB_CASE_TITLE, 'UTF-8');
            } else {
                $nome = 'Aluno(a)';
            }

            $titulo = alterar_caracteres('Olá, ' . $nome . '. Você realizou uma matrícula em um dos nossos cursos e separamos alguns conteúdos pra você');
            $assunto = retirar_acentos('Separamos alguns conteúdos pra você');
            $dados = array('conteudos' => apiconteudo($curso), 'titulo' => $titulo);
            ob_start();
            $this->load->view('conteudo', $dados);
            $conteudo = ob_get_contents();
            ob_end_clean();

            if ($dados['conteudos']['pdf'] != NULL || $dados['conteudos']['youtube'] != NULL) {

                $enviar = $this->enviar($linha['email'], $assunto, $conteudo);
                
                if ($enviar == true) {
                    $array['Enviado'][$c] = $linha['email'];
                }
            }
            $c++;
        }
        $assunto = retirar_acentos("Relatório: Notificações Amazônia Cursos - Curso Pesquisado");
        $texto = "<b>Enviados:</b> " . count($array['Enviado']) . "<br><b>Data e Hora:</b> " . date("d/m/Y H:i:s");
        $this->relatorio($assunto, $texto);
        $dados = array('array' => $array);
        $this->load->view('resultado', $dados);
    }

    public function enviar($email, $assunto, $html) {

        $smtp = new Servidor_smtp;
        
        $porta = $this->porta; 
        
        if ($porta == 587) {

            $smtp->setData("1", "smtp.gmail.com", $this->input->ip_address(), "contato@notificacoes.online", "contato@notificacoes.online", "##C0n-m4il##", "Amazonia Cursos");

            return $enviar = $this->phpmailer_library->send($smtp, $email, $assunto, $html, "Amazonia Cursos");
        } else {
            
            return $enviar = $this->phpmailer_library->enviar('smtp.gmail.com', 'atendimento@imazon.com.br', '##At3-imazon##', $assunto, $html, "Amazonia Cursos", $email);
        }
 
    }

    public function relatorio($assunto, $texto) {
        
        $porta = $this->porta;
        
        if ($porta == 587) {
        $smtp = new Servidor_smtp;
        $new_smtp = $smtp->setData("1", "smtp.gmail.com", $this->input->ip_address(), "contato@notificacoes.online", "contato@notificacoes.online", "##C0n-m4il##", "Amazonia Cursos");
        $this->phpmailer_library->send($smtp, 'emarketing.cidade@hotmail.com', $assunto, $texto, "Amazonia Cursos");
        $this->phpmailer_library->send($smtp, 'relatorionotificacoes@outlook.com', $assunto, $texto, "Amazonia Cursos");
    
        } else {
         $this->enviar('emarketing.cidade@hotmail.com', $assunto, $texto);
         $this->enviar('relatorionotificacoes@outlook.com', $assunto, $texto);

        }
    }

}
